<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY lximage-qt-download-http "https://github.com/lxqt/lximage-qt/releases/download/&lximage-qt-version;/lximage-qt-&lximage-qt-version;.tar.xz">
  <!ENTITY lximage-qt-download-ftp  " ">
  <!ENTITY lximage-qt-md5sum        "75ee584882996b54ca97b9dd6f083afd">
  <!ENTITY lximage-qt-size          "840 KB">
  <!ENTITY lximage-qt-buildsize     "12 MB">
  <!ENTITY lximage-qt-time          "0.2 SBU">
]>

<sect1 id="lximage-qt" xreflabel="lximage-qt-&lximage-qt-version;">
  <?dbhtml filename="lximage-qt.html"?>


  <title>lximage-qt-&lximage-qt-version;</title>

  <indexterm zone="lximage-qt">
    <primary sortas="a-lximage-qt">lximage-qt</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to lximage-qt</title>

    <para>
      The <application>lximage-qt</application> package contains a lightweight
      image viewer and screenshot program.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&lximage-qt-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&lximage-qt-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &lximage-qt-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &lximage-qt-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &lximage-qt-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &lximage-qt-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">lximage-qt Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="libfm-qt"/>
    </para>
  </sect2>

  <sect2 role="installation">
    <title>Installation of lximage-qt</title>

    <para>
      Install <application>lximage-qt</application> by running the following
      commands:
    </para>

<screen><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

cmake -D CMAKE_BUILD_TYPE=Release  \
      -D CMAKE_INSTALL_PREFIX=/usr \
      ..                           &amp;&amp;
make</userinput></screen>

    <para>
      This package does not come with a test suite.
    </para>

    <para>
      Now, as the &root; user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

    <para>
      If you have <xref linkend="xdg-utils"/> installed, as the &root;
      user, run <command>xdg-icon-resource forceupdate --theme hicolor</command>.
    </para>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Program</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directory</segtitle>

      <seglistitem>
        <seg>
          lximage-qt
        </seg>
        <seg>
          None
        </seg>
        <seg>
          /usr/share/lximage-qt
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="lximage-qt-prog">
        <term><command>lximage-qt</command></term>
        <listitem>
          <para>
            is a lightweight image viewer and screenshot program. There is a
            menu entry in Utilities for the screenshot program. From the
            command line, you can obtain a full screen or window shot by
            running <command>lximage-qt --screenshot</command>
          </para>
          <indexterm zone="lximage-qt lximage-qt-prog">
            <primary sortas="b-lximage-qt">lximage-qt</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
